/*
 * The author of this code is John Ioannidis, ji@tla.org,
 * 	(except when noted otherwise).
 *
 * This code was written in Athens, Greece, in November 1995.
 *
 * Copyright (C) 1995, by John Ioannidis.
 *	
 * Permission to use, copy, and modify this software without fee
 * is hereby granted, provided that this entire notice is included in
 * all copies of any software which is or includes a copy or
 * modification of this software.
 *
 * THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTY. IN PARTICULAR, THE AUTHOR DOES NOT MAKE ANY
 * REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY
 * OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.
 */

/*
 * HISTORY
 *
 * $Log: ip_ip4.h,v $
 * Revision 1.2  1995/11/30  04:35:38  ji
 * Performed cosmetic changes and verified SPIs are endian-proof.
 *
 *
 */

/*
 * IP-inside-IP processing.
 *
 * Not quite all the functionality of RFC-1853, but the main idea is there.
 *
 */

struct ip4stat
{
	u_long	ip4s_ipackets;		/* total input packets */
	u_long	ip4s_hdrops;		/* packet shorter than header shows */
	u_long	ip4s_badlen;
	u_long	ip4s_notip4;
	u_long	ip4s_qfull;
};

#ifdef KERNEL
struct ip4stat ip4stat;
#endif
	
	
	
